Subject: RE: [Simple] [Fwd: Re: NETCONF WG meeting minutes for IETF #57]

From: [email-masked]
Date: Mon, 1 Sep 2003 12:17:48 +0300

I don't buy it. Why would you define an XML schema who's syntax does not match the semantics?

I earlier bought the argument that XPath is too complicated to implement for a simple use case of just wanting to identify an element in an XML document, and thereafter agreed to provide some text in the I-D pointing to this issue and explaining the limited use of XPath in filtering.

/Hisham

> -----Original Message-----
> From: ext Jonathan Rosenberg [mailto:[email-masked]]
> Sent: Friday, August 29, 2003 5:36 PM
> To: Simple WG; [email-masked]
> Subject: [Simple] [Fwd: Re: NETCONF WG meeting minutes for IETF #57]
> 
> 
> Graham Klyne posted this note on netconf that has some insights which
> I think can benefit us. Pay attention to this statement:
> 
> Graham writes:
> > I would be very wary about using XPath as the basis for selective
> > access to XMLConf data.  XPath, by design, provides selection on
> > the syntactic structure of XML:  it has been suggested elsewhere
> > (e.g. in the netconf protocol document, IIRC) that the data model
> > is separate from the protocol framework (which I think is a good
> > approach).  But the query/selection syntax should be related to the
> > data model, not to the carrier syntax.  I have seen difficulties
> > arise with different XML-based applications where people tried to
> > use XPath selection for an XML format used to carry a data model
> > that was somewhat different from the XML carrier syntax.  If the
> > data model does not map directly onto the XML syntax, then XPath
> > selection may well prove inadequate to make appropriate selection
> > in the configuration data.
> 
> I think this summarizes nicely the concerns I have had about using 
> xpath for filtering. I am also going to be removing it from element 
> identification in the next xcap-auth rev.
> 
> -Jonathan R.
> 
> -- 
> Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
> Chief Technology Officer                    Parsippany, NJ 07054-2711
> dynamicsoft
> [email-masked]                     FAX:   (973) 952-5050
> http://www.jdrosen.net                      PHONE: (973) 952-5000
> http://www.dynamicsoft.com
> 

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple